unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
  private
    function DoRTFToHTML(const RTFFilename, HTMLFilename : String) : Boolean;
  public

  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

uses WordXP; // TWordApplication

procedure TForm1.Button1Click(Sender: TObject);
begin
  DoRTFToHTML('C:\TEST.RTF', 'C:\TEST.HTML');
end;

function TForm1.DoRTFToHTML(const RTFFilename, HTMLFilename: String): Boolean;
var
  WA : TWordApplication;
  DocWord : _Document;
  FileName, bVisible, bAddToRecentFiles, FileFormat, bSaveChanges : OleVariant;
begin
  Result := True;

  try
    // Ouvre le document
    WA := TWordApplication.Create(Self);
    try
      WA.Visible := False;
      bVisible := True;
      bAddToRecentFiles := False;
      FileName := RTFFilename;
      DocWord := WA.Documents.Open(FileName,           // Filename
                                   EmptyParam,         // ConfirmConversions
                                   EmptyParam,         // ReadOnly
                                   bAddToRecentFiles,  // AddToRecentFiles
                                   EmptyParam,         // PasswordDocument
                                   EmptyParam,         // PasswordTemplate
                                   EmptyParam,         // Revert
                                   EmptyParam,         // WritePasswordDocument
                                   EmptyParam,         // WritePasswordTemplate
                                   EmptyParam,         // Format
                                   EmptyParam,         // Encoding
                                   bVisible,           // Visible
                                   EmptyParam,         // OpenAndRepair
                                   EmptyParam,         // DocumentDirection
                                   EmptyParam);        // NoEncodingDialog

      // Enregistre le doucment au format HTML
      FileFormat := $00000008; //wdFormatHTML;
      FileName := HTMLFilename;
      DocWord.SaveAs(FileName,
                     FileFormat,        // FileFormat
                     EmptyParam,        // LockComments
                     EmptyParam,        // Password
                     bAddToRecentFiles, // AddToRecentFiles
                     EmptyParam,        // WritePassword
                     EmptyParam,        // ReadOnlyRecommended
                     EmptyParam,        // EmbedTrueTypeFonts
                     EmptyParam,        // SaveNativePictureFormat
                     EmptyParam,        // SaveFormsData
                     EmptyParam,        // SaveAsOCELetter
                     EmptyParam,        // Encoding
                     EmptyParam,        // InsertLineBreaks
                     EmptyParam,        // AllowSubstitutions
                     EmptyParam,        // LineEnding
                     EmptyParam);       // AddBiDiMarks

      // Ferme word
      bSaveChanges := wdDoNotSaveChanges;
      WA.Quit(bSaveChanges);
    finally
      WA.Free;
    end;
  except
    Result := False;
  end;
end;

end.
